Bug 982649 - repo sync failing on rhel6 pulp-server
repo sync failing on rhel6 pulp-server
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.2 Beta
Unspecified Unspecified
high Severity high
: ---
: 2.2.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 09:40 EDT by Preethi Thomas
Modified: 2013-09-10 11:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:43:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-07-09 09:40:50 EDT
Description of problem:

Repo sync is failing on rhel6 pulp server.

Version-Release number of selected component (if applicable):
[root@ibm-x3550m3-07 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.19.beta.el6.noarch
[root@ibm-x3550m3-07 ~]# 


How reproducible:


Steps to Reproduce:
1.Run repo sync on a rhel6 pulp server
2.
3.

Actual results:

Sync failing

Downloading repository content...
... failed

Expected results:

2013-07-09 09:39:35,223 urllib3.connectionpool:INFO: Starting new HTTP connection (1): repos.fedorapeople.org
2013-07-09 09:39:35,588 urllib3.connectionpool:INFO: Starting new HTTP connection (1): repos.fedorapeople.org
2013-07-09 09:39:35,590 urllib3.connectionpool:INFO: Starting new HTTP connection (2): repos.fedorapeople.org
2013-07-09 09:39:35,591 urllib3.connectionpool:INFO: Starting new HTTP connection (3): repos.fedorapeople.org
2013-07-09 09:39:35,593 urllib3.connectionpool:INFO: Starting new HTTP connection (4): repos.fedorapeople.org
2013-07-09 09:39:35,595 urllib3.connectionpool:INFO: Starting new HTTP connection (5): repos.fedorapeople.org
2013-07-09 09:39:36,179 pulp_rpm.plugins.importers.yum.sync:ERROR: sync failed
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/sync.py", line 116, in run
    self.update_content(metadata_files)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/sync.py", line 239, in update_content
    rpms_to_download, drpms_to_download = self._decide_what_to_download(metadata_files)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/sync.py", line 256, in _decide_what_to_download
    rpms_to_download, rpms_count, rpms_total_size = self._decide_rpms_to_download(metadata_files)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/sync.py", line 288, in _decide_rpms_to_download
    wanted = self._identify_wanted_versions(package_info_generator)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/sync.py", line 516, in _identify_wanted_versions
    for model in package_info_generator:
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/repomd/packages.py", line 74, in package_list_generator
    package_info = process_func(element)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/repomd/primary.py", line 183, in process_package_element
    model.raw_xml = utils.element_to_raw_xml(package_element, namespaces)
  File "/usr/lib/python2.6/site-packages/pulp_rpm/plugins/importers/yum/utils.py", line 76, in element_to_raw_xml
    ET.register_namespace(namespace.name, namespace.uri)
AttributeError: 'module' object has no attribute 'register_namespace'
2013-07-09 09:39:36,183 pulp.server.dispatch.task:ERROR: Importer indicated a failed response
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/dispatch/task.py", line 138, in _run
    result = call(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/sync.py", line 117, in sync
    raise PulpExecutionException(_('Importer indicated a failed response'))
PulpExecutionException: Importer indicated a failed response
2013-07-09 09:39:36,183 pulp.server.dispatch.task:INFO: FAILURE: Task b5660745-4235-4b70-a35a-8d58d32da2b5: CallRequest: RepoSyncManager.sync(u'zoo', sync_config_override=None)




Additional info:
Comment 1 Michael Hrivnak 2013-07-09 16:27:44 EDT
https://github.com/pulp/pulp_rpm/pull/274
Comment 2 Jeff Ortel 2013-07-09 21:11:40 EDT
build: 2.2.0-0.20.beta
Comment 3 Preethi Thomas 2013-07-10 03:12:53 EDT
[root@ibm-x3550m3-07 ~]# rpm -qa pulp-server
pulp-server-2.2.0-0.20.beta.el6.noarch
[root@ibm-x3550m3-07 ~]# 

[root@ibm-x3550m3-07 ~]# pulp-admin  rpm repo sync  run --repo-id f18
+----------------------------------------------------------------------+
                     Synchronizing Repository [f18]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[|]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 8/8 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[\]
... completed

Publishing packages...
[==================================================] 100%
Packages: 4165/4165 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 8/8 items
... completed

Generating metadata
[/]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@ibm-x3550m3-07 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.4 (Santiago)
[root@ibm-x3550m3-07 ~]# pulp-admin rpm repo list
+----------------------------------------------------------------------+
                            RPM Repositories
+----------------------------------------------------------------------+

Id:                  zoo
Display Name:        zoo
Description:         None
Content Unit Counts: 
  Erratum:          4
  Package Category: 1
  Package Group:    2
  Rpm:              32

Id:                  f18
Display Name:        f18
Description:         None
Content Unit Counts: 
  Distribution:     1
  Package Category: 12
  Package Group:    97
  Rpm:              4165


[root@ibm-x3550m3-07 ~]#
Comment 4 Preethi Thomas 2013-09-10 11:43:52 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.